Bug 850048 - Introduce new systemd-rpm macros in bitlbee spec file
Introduce new systemd-rpm macros in bitlbee spec file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bitlbee (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert Scheck
Matěj Cepl
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 09:27 EDT by Lukáš Nykrýn
Modified: 2013-03-02 15:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-02 15:03:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch adds systemd macros with condition for F18 (1.80 KB, patch)
2012-08-28 03:06 EDT, Václav Pavlín
no flags Details | Diff

  None (edit)
Description Lukáš Nykrýn 2012-08-21 09:27:32 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Václav Pavlín 2012-08-28 03:06:15 EDT
Created attachment 607422 [details]
Patch adds systemd macros with condition for F18
Comment 2 Fedora Update System 2013-02-19 20:38:10 EST
bitlbee-3.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/bitlbee-3.2-1.fc18
Comment 3 Fedora Update System 2013-02-21 00:49:03 EST
Package bitlbee-3.2-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bitlbee-3.2-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2817/bitlbee-3.2-1.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-03-02 15:03:51 EST
bitlbee-3.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.